<?
############################ 變數說明 ###########################
#						  == 模組共用==							#
#   $strData			全文檢索都出來的auto值 (111,222,333)	#
#	$DB_AUTO			每各模組 AUTO 的欄位名稱				#
#	$startCount			從第幾筆開始							#
#	$endCount			每頁顯示幾筆筆數						#
#	$nowPage			現在在第幾頁							#
#################################################################
function fn_Datamining($strData, $DB_AUTO, $startCount, $endCount, $nowPage)
{
	$arrData = explode(",", $strData);
	rsort($arrData);
	
	$endNum = ($endCount <= count($arrData) && $startCount < $endCount) ? $endCount : $endCount * $nowPage;
	if ($endNum > count($arrData)) $endNum = count($arrData);

	for($i=$startCount; $i<$endNum; $i++)
		$strAUTO = $strAUTO.",'".$arrData[$i]."'";
	
	$strAUTO = substr($strAUTO, 1, strlen($strAUTO));
	$strSQL = $strSQL." Where ".$DB_AUTO." in (".$strAUTO.")";

	return $strSQL;
}
?>